package cn.wise.sc.consume.business.mapper;

import cn.wise.sc.consume.business.entity.SysPermission;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author ztw
 * @since 2020-07-27
 */

public interface SysPermissionMapper extends BaseMapper<SysPermission> {

	@Select("select distinct login_lable.* from sys_permission login_lable " +
			"inner join sys_role_permission rp on login_lable.id = rp.permissionId " +
			"inner join sys_role_user ru on ru.roleId = rp.roleId " +
			"where ru.userId = #{userId} order by login_lable.parentId,login_lable.sort")
	List<SysPermission> listByUserId(Long userId);

}
